## ----eval=FALSE---------------------------------------------------------------
#  library(ggplot2)
#  library(data.table)
#  library(rgbif)
#  library(knitr)

## ----eval=FALSE---------------------------------------------------------------
#  d <- data.table(map_data("county"))
#  champaign <- d[region == "illinois" & subregion == "champaign"]
#  
#  kable(champaign)

## ----eval=FALSE---------------------------------------------------------------
#  ### for PostGIS, need polygon to return to start point
#  champaign <- rbind(champaign, champaign[1])
#  
#  ## need to get key from Google Maps API
#  ## I've put mine in a ~/.googlemapskey
#  key <- readLines(con = "~/.googlemapskey")
#  champaign_pts <- data.table(champaign[,elevation(latitude = lat, longitude = long, key = key)])
#  
#  kable(champaign_pts, caption = "Table with elevations")

## ----eval=FALSE---------------------------------------------------------------
#  boundary <- champaign_pts[,paste(longitude, latitude, elevation, collapse = ",")]
#  
#  writeLines(boundary)

## ----eval=FALSE---------------------------------------------------------------
#  geometry <- paste0("ST_SetSRID(ST_MakePolygon(ST_GeomFromText('LINESTRING(", boundary , ")')), 4326)")
#  
#  writeLines(geometry)

## ----eval=FALSE---------------------------------------------------------------
#  insert_polygon <- paste0("INSERT into sites (sitename, geometry) VALUES ('Champaign County', ", geometry, ");")
#  writeLines(insert_polygon)

## ----eval=FALSE---------------------------------------------------------------
#  update_polygon <- paste0("update sites set geometry = ", geometry , " where sitename = 'Champaign County';")
#  writeLines(update_polygon)

## ----eval = FALSE-------------------------------------------------------------
#  
#  library(PEcAn.DB)
#  library(RPostgreSQL)
#  #settings <- read.settings('settings.xml')
#  settings <-list(database = list(bety = list(driver = "PostgreSQL", user = "bety", dbname = "bety", password = "bety")))
#  
#  db.query(insert_polygon, con = db.open(settings$database$bety))

